import pytest

from gcs_migration.models import CredentialDict


@pytest.fixture
def credential(test_user_cert_subject: str, sharing_local_user: str) -> CredentialDict:
    return {
        "username": sharing_local_user,
        "subject": test_user_cert_subject,
        "gsi_authz_callout_index": 0,
        "identity_id": "f8ba8dee-a4d2-46eb-86f1-4157522872a8",
        "identity_username": f"{sharing_local_user}@globus.org",
        "mapping": None,
    }


@pytest.fixture
def credential_unresolved(
    test_user_cert_subject: str, sharing_local_user: str
) -> CredentialDict:
    return {
        "username": sharing_local_user,
        "subject": test_user_cert_subject,
        "gsi_authz_callout_index": 0,
        "identity_id": None,
        "identity_username": None,
        "mapping": None,
    }
