import pytest

from gcs_migration.models import (
    GuestCollection,
    MappedCollection,
    MigrationPlan,
    StorageGateway,
)
from gcs_migration.parsers import GCSConfig, GridFTPOptionParser


@pytest.fixture
def migration_plan(
    gcs_config: GCSConfig,
    gridftp_config_parser: GridFTPOptionParser,
    mapped_collection: MappedCollection,
    guest_collection_unresolved_credential: GuestCollection,
    storage_gateway: StorageGateway,
) -> MigrationPlan:
    migration_plan = MigrationPlan()
    migration_plan.gcs_config = gcs_config
    migration_plan.gridftp_config = gridftp_config_parser
    migration_plan.mapped_collection = mapped_collection
    migration_plan.add_guest_collection(guest_collection_unresolved_credential)
    migration_plan.storage_gateway = storage_gateway
    return migration_plan


@pytest.fixture
def migration_plan_cmd_create(
    gcs_config: GCSConfig,
    gridftp_config_parser: GridFTPOptionParser,
    mapped_collection_cmd_create: MappedCollection,
    guest_collection_unresolved_credential: GuestCollection,
    storage_gateway_cmd_create: StorageGateway,
) -> MigrationPlan:
    migration_plan = MigrationPlan()
    migration_plan.gcs_config = gcs_config
    migration_plan.gridftp_config = gridftp_config_parser
    migration_plan.mapped_collection = mapped_collection_cmd_create
    migration_plan.add_guest_collection(guest_collection_unresolved_credential)
    migration_plan.storage_gateway = storage_gateway_cmd_create
    return migration_plan
